namespace Db.Models;

public class Video
{
    // Disable warning as Id is required but not set in the constructor.
    // This is to ensure that the Id is set by the database when the entity is added
#pragma warning disable CS8618
    public string Id { get; set; }
#pragma warning restore CS8618

    public string? Title { get; set; }
    public TimeSpan Duration { get; set; }
    public int Width { get; set; }
    public int Height { get; set; }
    public string Extension { get; set; } = string.Empty; // File extension of the video file


    public ICollection<VideoTag> VideoTags { get; set; } = [];
}